careCycle
Customers

Get customer by ID

Get a single customer by ID with full details including policies, prescriptions, providers, SOAs, dependents, and custom fields

GET
/v2/customers/{id}

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Customer ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "string",
  "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
  "updatedAt": "string",
  "updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e",
  "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
  "clientCustomerId": "string",
  "status": "Lead",
  "qualificationStatus": "Qualified",
  "intent": "High",
  "isDecisionMaker": true,
  "disqualificationReason": "string",
  "productInterest": "string",
  "productFamily": "string",
  "salutation": "string",
  "suffix": "string",
  "firstName": "string",
  "middleName": "string",
  "lastName": "string",
  "preferredName": "string",
  "callerId": "string",
  "lineType": "landline",
  "email": "string",
  "dateOfBirth": "string",
  "language": "string",
  "ethnicity": "string",
  "gender": "Male",
  "maritalStatus": "Single",
  "postalCode": "string",
  "timezone": "string",
  "state": "string",
  "city": "string",
  "county": "string",
  "address": "string",
  "address2": "string",
  "mbiNumber": "string",
  "medicareCard": true,
  "medicarePartADate": "string",
  "medicarePartBDate": "string",
  "medicaid": true,
  "medicaidNumber": "string",
  "socialSecurityDisability": true,
  "veteran": true,
  "vaNumber": "string",
  "healthSherpaCustomerId": "string",
  "householdIncome": -2147483648,
  "annualIncome": -2147483648,
  "filingStatus": "string",
  "dependentCount": -2147483648,
  "subsidyAmount": -2147483648,
  "subsidyEligible": true,
  "existingCoverage": "None",
  "existingCoveragePlanName": "string",
  "existingCoverageCarrier": "string",
  "desiredCoverageStartDate": "string",
  "currentSourceId": "92ff85a4-bd9b-47e4-9ade-cbb65530f3f4",
  "originalSourceId": "a3edc39e-7854-4380-8541-1f199004a6a0",
  "agentName": "string",
  "agentNpn": -2147483648,
  "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
  "carrierName": "string",
  "planName": "string",
  "planCode": "string",
  "enrollmentDate": "string",
  "effectiveDate": "string",
  "carrierAssignedCustomerId": "string",
  "doNotCall": true,
  "doNotSMS": true,
  "doNotEmail": true,
  "doNotMail": true,
  "lastContactedAt": "string",
  "convertedAt": "string",
  "testCustomer": true,
  "desiredCoverageStart": "string",
  "totalCalls": 0,
  "lastCallDate": "string",
  "lastCallDisposition": "string",
  "campaigns": [],
  "source": {
    "id": "string",
    "name": "string",
    "sourceId": "string"
  },
  "customFields": [],
  "policies": [],
  "prescriptions": [],
  "providers": [],
  "scopeOfAppointments": [],
  "dependents": []
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}